Subject: Re: bug#43152: 28.0.50; when building emacs 28.0.50 ./temacs is stopped with core

From: Anonymous <[email-masked]>
Date: Tue, 1 Sep 2020 18:49:23 +0200

Le 01/09/2020 à 16:29, Eli Zaretskii a écrit :
>> From: Stefan Kangas <[email-masked]>
>> Date: Tue, 1 Sep 2020 04:10:12 -0700
>>
>> Philippe Spiesser <[email-masked]> writes:
>>
>>> Hello,
>>> yesterday, I have updated the local directory of emacs 28.0.50 to
>>> rebuild a new version; the last time I've updated was the 9 of august
>>> and everything was OK.
>>> Building stops with the messages :
>>>           cp -f temacs bootstrap-emacs
>>>           rm -f bootstrap-emacs.pdmp
>>>           ./temacs --batch  -l loadup --temacs=pbootstrap
>>>           make[1]: *** [bootstrap-emacs.pdmp] Segmentation fault: 11
>>>           make: *** [src] Error 2
>>> I can't explain this.
>>> I hope it's the correct place to send this message
>> Did you try "make bootstrap"?
>>
>> Also, please include the full commands you used to build this, starting
>> with configure.
> If "make bootstrap" doesn't help, please run the command which crashes
> under GDB, and when it crashes, produce the backtrace and post it
> here.

Here is the trace of command with gdb. Unfortunately, there are 20 years 
ago I used gdb, so I don't know if usage is correct.

     spungen:src $ gdb ./temacs
     GNU gdb (GDB) 9.2
     Copyright (C) 2020 Free Software Foundation, Inc.
     License GPLv3+: GNU GPL version 3 or later 
<http://gnu.org/licenses/gpl.html>
     This is free software: you are free to change and redistribute it.
     There is NO WARRANTY, to the extent permitted by law.
     Type "show copying" and "show warranty" for details.
     This GDB was configured as "x86_64-apple-darwin17.7.0".
     Type "show configuration" for configuration details.
     For bug reporting instructions, please see:
     <http://www.gnu.org/software/gdb/bugs/>.
     Find the GDB manual and other documentation resources online at:
         <http://www.gnu.org/software/gdb/documentation/>.

     For help, type "help".
     Type "apropos word" to search for commands related to "word"...
     Reading symbols from ./temacs...

     warning: can't find symbol 'l_OBJC_PROTOCOL_$_NSMenuDelegate' in 
minsymtab

     warning: can't find symbol 'l_OBJC_PROTOCOL_$_NSObject' in minsymtab

     warning: can't find symbol 'l_OBJC_PROTOCOL_$_NSToolbarDelegate' in 
minsymtab

     warning: can't find symbol 'l_OBJC_PROTOCOL_$_NSWindowDelegate' in 
minsymtab
     SIGINT is used by the debugger.
     Are you sure you want to change it? (y or n) [answered Y; input not 
from terminal]
     DISPLAY = 
/private/tmp/com.apple.launchd.MqWyE2hQIp/org.macosforge.xquartz:0
     TERM = xterm-color
     Breakpoint 1 at 0x1000d1562: file emacs.c, line 378.
     (gdb) run --batch -l loadup --temacs=pbootstrap
     Starting program: /usr/local/src/emacs/src/temacs --batch -l loadup 
--temacs=pbootstrap
     Unable to find Mach task port for process-id 19495: (os/kern) 
failure (0x5).
      (please check gdb is codesigned - see taskgated(8))
     (gdb) quit